<html>
<head>
<title>Property - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#files">Files</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">Property</div>  </div>
<div class="ingroups"><a class="el" href="group__Optional.html">Components</a></div></div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for Property:</div>
<div class="dyncontent">
<center><table><tr><td><img src="group__Property.gif" border="0" alt="" usemap="#group____Property"/>
<map name="group____Property" id="group____Property">
<area shape="rect" id="node1" href="group__Optional.html" title="Components" alt="" coords="5,5,101,35"/></map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyDef.html">Ogre::PropertyDef</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Definition of a property of an object.  <a href="classOgre_1_1PropertyDef.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertyBase.html">Ogre::PropertyBase</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Base interface for an instance of a property.  <a href="classOgre_1_1PropertyBase.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Property.html">Ogre::Property&lt; T &gt;</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Property.html" title="Property instance with passthrough calls to a given object.">Property</a> instance with passthrough calls to a given object.  <a href="classOgre_1_1Property.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1PropertyValue.html">Ogre::PropertyValue</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A simple structure designed just as a holder of property values between the instances of objects they might target.  <a href="structOgre_1_1PropertyValue.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PropertySet.html">Ogre::PropertySet</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines a complete set of properties for a single object instance.  <a href="classOgre_1_1PropertySet.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="files"></a>
Files</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreProperty_8h.html">OgreProperty.h</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><p>OGRE's property system allows you to associate values of arbitrary type with names, and have those values exposed via a self-describing interface. </p>
<br/></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; String, <br class="typebreak"/>
PropertyDef &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Property.html#gaa2af9dd0402adef0e54243e3ee3dc86e">Ogre::PropertyDefMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Map from property name to shared definition.  <a href="#gaa2af9dd0402adef0e54243e3ee3dc86e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; String, <br class="typebreak"/>
PropertyValue &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Property.html#gac473fdb476888c7a1a0a4a857948cc5c">Ogre::PropertyValueMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines a transferable map of properties using wrapped value types (<a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Ogre::Any</a>)  <a href="#gac473fdb476888c7a1a0a4a857948cc5c"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">Ogre::PropertyType</a> { <br/>
&#160;&#160;<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa19d90ad1680589279aafec448c4e75d3">Ogre::PROP_SHORT</a> =  0, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa8807d302197c648340522a66196f46f1">Ogre::PROP_UNSIGNED_SHORT</a> =  1, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa93d4b54300df506764ebb8af6bf4d5c8">Ogre::PROP_INT</a> =  2, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa9fb3644ad2ce148f77291a0d3eaea6a1">Ogre::PROP_UNSIGNED_INT</a> =  3, 
<br/>
&#160;&#160;<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa3d3a41849ca836ff178c8f2618629794">Ogre::PROP_LONG</a> =  4, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aabb2c30d9d8af27d83d4aafed018aa84d">Ogre::PROP_UNSIGNED_LONG</a> =  5, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa269350183053663ed0e36a69b72dc4c8">Ogre::PROP_REAL</a> =  6, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa7964244e71bea1a0b721d42e6fa4ae53">Ogre::PROP_STRING</a> =  7, 
<br/>
&#160;&#160;<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa5f081dc286c25333c43e8467d6c7c8b6">Ogre::PROP_VECTOR2</a> =  8, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aacd225d4bbfbd47f0473b7d56f834f3b6">Ogre::PROP_VECTOR3</a> =  9, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aaa5b410ea31e3954eeba233240dfb67ec">Ogre::PROP_VECTOR4</a> =  10, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa4dbf2ba96cd6b8774fc4cd98b0bfca01">Ogre::PROP_COLOUR</a> =  11, 
<br/>
&#160;&#160;<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa4811d3c1f6bce61a13fedbcfa19e1b32">Ogre::PROP_BOOL</a> =  12, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa161aabceab220d04e7aa8704ff8e5293">Ogre::PROP_QUATERNION</a> =  13, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa1a10d1f71eb0804ab6ec20a598a1ac93">Ogre::PROP_MATRIX3</a> =  14, 
<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aad1ccdd4ffa8de819d5f96bac1a405a32">Ogre::PROP_MATRIX4</a> =  15, 
<br/>
&#160;&#160;<a class="el" href="group__Property.html#gga0883a5af9197151407965df0bacc4f3aa593a0408d46ccf3061cb27c372b25e8d">Ogre::PROP_UNKNOWN</a> =  999
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of a property.  <a href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">More...</a><br/></td></tr>
</table>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="gaa2af9dd0402adef0e54243e3ee3dc86e"></a><!-- doxytag: member="Ogre::PropertyDefMap" ref="gaa2af9dd0402adef0e54243e3ee3dc86e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef map&lt;String, PropertyDef&gt;::type <a class="el" href="group__Property.html#gaa2af9dd0402adef0e54243e3ee3dc86e">Ogre::PropertyDefMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Map from property name to shared definition. </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00189">189</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<a class="anchor" id="gac473fdb476888c7a1a0a4a857948cc5c"></a><!-- doxytag: member="Ogre::PropertyValueMap" ref="gac473fdb476888c7a1a0a4a857948cc5c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef map&lt;String, PropertyValue&gt;::type <a class="el" href="group__Property.html#gac473fdb476888c7a1a0a4a857948cc5c">Ogre::PropertyValueMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Defines a transferable map of properties using wrapped value types (<a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Ogre::Any</a>) </p>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00274">274</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga0883a5af9197151407965df0bacc4f3a"></a><!-- doxytag: member="Ogre::PropertyType" ref="ga0883a5af9197151407965df0bacc4f3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Property.html#ga0883a5af9197151407965df0bacc4f3a">Ogre::PropertyType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of a property. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa19d90ad1680589279aafec448c4e75d3"></a><!-- doxytag: member="PROP_SHORT" ref="gga0883a5af9197151407965df0bacc4f3aa19d90ad1680589279aafec448c4e75d3" args="" -->PROP_SHORT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa8807d302197c648340522a66196f46f1"></a><!-- doxytag: member="PROP_UNSIGNED_SHORT" ref="gga0883a5af9197151407965df0bacc4f3aa8807d302197c648340522a66196f46f1" args="" -->PROP_UNSIGNED_SHORT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa93d4b54300df506764ebb8af6bf4d5c8"></a><!-- doxytag: member="PROP_INT" ref="gga0883a5af9197151407965df0bacc4f3aa93d4b54300df506764ebb8af6bf4d5c8" args="" -->PROP_INT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa9fb3644ad2ce148f77291a0d3eaea6a1"></a><!-- doxytag: member="PROP_UNSIGNED_INT" ref="gga0883a5af9197151407965df0bacc4f3aa9fb3644ad2ce148f77291a0d3eaea6a1" args="" -->PROP_UNSIGNED_INT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa3d3a41849ca836ff178c8f2618629794"></a><!-- doxytag: member="PROP_LONG" ref="gga0883a5af9197151407965df0bacc4f3aa3d3a41849ca836ff178c8f2618629794" args="" -->PROP_LONG</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aabb2c30d9d8af27d83d4aafed018aa84d"></a><!-- doxytag: member="PROP_UNSIGNED_LONG" ref="gga0883a5af9197151407965df0bacc4f3aabb2c30d9d8af27d83d4aafed018aa84d" args="" -->PROP_UNSIGNED_LONG</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa269350183053663ed0e36a69b72dc4c8"></a><!-- doxytag: member="PROP_REAL" ref="gga0883a5af9197151407965df0bacc4f3aa269350183053663ed0e36a69b72dc4c8" args="" -->PROP_REAL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa7964244e71bea1a0b721d42e6fa4ae53"></a><!-- doxytag: member="PROP_STRING" ref="gga0883a5af9197151407965df0bacc4f3aa7964244e71bea1a0b721d42e6fa4ae53" args="" -->PROP_STRING</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa5f081dc286c25333c43e8467d6c7c8b6"></a><!-- doxytag: member="PROP_VECTOR2" ref="gga0883a5af9197151407965df0bacc4f3aa5f081dc286c25333c43e8467d6c7c8b6" args="" -->PROP_VECTOR2</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aacd225d4bbfbd47f0473b7d56f834f3b6"></a><!-- doxytag: member="PROP_VECTOR3" ref="gga0883a5af9197151407965df0bacc4f3aacd225d4bbfbd47f0473b7d56f834f3b6" args="" -->PROP_VECTOR3</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aaa5b410ea31e3954eeba233240dfb67ec"></a><!-- doxytag: member="PROP_VECTOR4" ref="gga0883a5af9197151407965df0bacc4f3aaa5b410ea31e3954eeba233240dfb67ec" args="" -->PROP_VECTOR4</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa4dbf2ba96cd6b8774fc4cd98b0bfca01"></a><!-- doxytag: member="PROP_COLOUR" ref="gga0883a5af9197151407965df0bacc4f3aa4dbf2ba96cd6b8774fc4cd98b0bfca01" args="" -->PROP_COLOUR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa4811d3c1f6bce61a13fedbcfa19e1b32"></a><!-- doxytag: member="PROP_BOOL" ref="gga0883a5af9197151407965df0bacc4f3aa4811d3c1f6bce61a13fedbcfa19e1b32" args="" -->PROP_BOOL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa161aabceab220d04e7aa8704ff8e5293"></a><!-- doxytag: member="PROP_QUATERNION" ref="gga0883a5af9197151407965df0bacc4f3aa161aabceab220d04e7aa8704ff8e5293" args="" -->PROP_QUATERNION</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa1a10d1f71eb0804ab6ec20a598a1ac93"></a><!-- doxytag: member="PROP_MATRIX3" ref="gga0883a5af9197151407965df0bacc4f3aa1a10d1f71eb0804ab6ec20a598a1ac93" args="" -->PROP_MATRIX3</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aad1ccdd4ffa8de819d5f96bac1a405a32"></a><!-- doxytag: member="PROP_MATRIX4" ref="gga0883a5af9197151407965df0bacc4f3aad1ccdd4ffa8de819d5f96bac1a405a32" args="" -->PROP_MATRIX4</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga0883a5af9197151407965df0bacc4f3aa593a0408d46ccf3061cb27c372b25e8d"></a><!-- doxytag: member="PROP_UNKNOWN" ref="gga0883a5af9197151407965df0bacc4f3aa593a0408d46ccf3061cb27c372b25e8d" args="" -->PROP_UNKNOWN</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreProperty_8h_source.html#l00110">110</a> of file <a class="el" href="OgreProperty_8h_source.html">OgreProperty.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
